VSOP87(3)

NAME
VSOP87 - VSOP87 Theory

SYNOPSIS

  Functions
void LIBNOVA_EXPORT ln_vsop87_to_fk5 (struct ln_helio_posn *position, double JD)
Transform from VSOP87 to FK5 reference system.

Detailed Description

Thanks to Messrs. Bretagnon and Francou for publishing planetary solution VSOP87.

Function Documentation

  void LIBNOVA_EXPORT ln_vsop87_to_fk5 (struct ln_helio_posn * position, double JD)

Transform from VSOP87 to FK5 reference system.

Parameters
    position Position to transform.
    JD Julian day

Transform from VSOP87 to FK5 reference frame.

References ln_helio_posn::B, ln_helio_posn::L, and ln_deg_to_rad().

Referenced by ln_get_earth_helio_coords(), ln_get_jupiter_helio_coords(), ln_get_mars_helio_coords(), ln_get_mercury_helio_coords(), ln_get_neptune_helio_coords(), ln_get_saturn_helio_coords(), ln_get_uranus_helio_coords(), and ln_get_venus_helio_coords().

Author

Generated automatically by Doxygen for libnova from the source code.